Bug 1079838 - [glibc2.27] kbuild fails to build
[glibc2.27] kbuild fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dirk Mueller
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-07 13:47 UTC by Dominique Leuenberger
Modified: 2018-08-26 22:08 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-07 13:47:46 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - kbuild is amongst the packages failing to build

From the build log:

[   97s] chmod.o: In function `kmk_builtin_chmod':
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/kmkbuiltin/chmod.c:184: warning: lchmod is not implemented and will always fail
[   97s] glob/libglob.a(glob.o): In function `glob_in_dir':
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:1386: undefined reference to `__alloca'
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:1361: undefined reference to `__alloca'
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:1302: undefined reference to `__alloca'
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:1271: undefined reference to `__alloca'
[   97s] glob/libglob.a(glob.o): In function `glob':
[   97s] /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:577: undefined reference to `__alloca'
[   97s] glob/libglob.a(glob.o):/home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/src/kmk/glob/glob.c:728: more undefined references to `__alloca' follow
[   97s] collect2: error: ld returned 1 exit status
[   97s] make[3]: *** [Makefile:749: kmk] Error 1
[   97s] make[3]: Leaving directory '/home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/out/linux.amd64/release/bootstrap/kmk'
[   97s] make[2]: *** [Makefile:1466: all-recursive] Error 1
[   97s] make[2]: Leaving directory '/home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/out/linux.amd64/release/bootstrap/kmk'
[   97s] make[1]: *** [Makefile:649: all] Error 2
[   97s] make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/out/linux.amd64/release/bootstrap/kmk'
[   97s] make: *** [bootstrap.gmk:176: /home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110/out/linux.amd64/release/bootstrap/kmk/kmk] Error 2
[   97s] kBuild/env.sh: info: rc=2: make -f bootstrap.gmk SRCDIR=/home/abuild/rpmbuild/BUILD/kbuild-0.1.9998svn3110
[   97s] error: Bad exit status from /var/tmp/rpm-tmp.ofOyAV (%build)
[   97s] 

complete log available at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C:DVD/kbuild/standard/x86_64
Comment 1 Dominique Leuenberger 2018-02-20 09:51:04 UTC
CCing Larry

@Larry: virtualbox is, in all of openSUSE:Factory, the only package depending on kbuild. The current maintainer has mainly moved on to many different tasks and it would be very appreciated if you could take on kbuild as a dependency to VirtualBox as well under your guardianship.
Comment 2 Dirk Mueller 2018-02-20 10:03:08 UTC
submitted "use-alloca.patch" for factory (OBS RQ 578304)
Comment 3 Larry Finger 2018-02-20 14:21:19 UTC
(In reply to Dominique Leuenberger from comment #1)
> CCing Larry
> 
> @Larry: virtualbox is, in all of openSUSE:Factory, the only package
> depending on kbuild. The current maintainer has mainly moved on to many
> different tasks and it would be very appreciated if you could take on kbuild
> as a dependency to VirtualBox as well under your guardianship.

Yes, I would be willing to maintain kbuild. The job should not be too bad as it will only need updating when it breaks, or when VirtualBox goes to a new major version. Neither of these happens very often.

I just requested a role change for kbuild (Request 578368).
Comment 4 Swamp Workflow Management 2018-07-26 16:10:11 UTC
This is an autogenerated message for OBS integration:
This bug (1079838) was mentioned in
https://build.opensuse.org/request/show/625448 42.3 / kbuild+virtualbox
Comment 5 Swamp Workflow Management 2018-08-18 20:00:18 UTC
This is an autogenerated message for OBS integration:
This bug (1079838) was mentioned in
https://build.opensuse.org/request/show/630319 42.3 / kbuild+virtualbox
Comment 6 Swamp Workflow Management 2018-08-20 17:50:16 UTC
This is an autogenerated message for OBS integration:
This bug (1079838) was mentioned in
https://build.opensuse.org/request/show/630565 42.3 / kbuild+virtualbox
Comment 7 Swamp Workflow Management 2018-08-26 22:08:35 UTC
openSUSE-SU-2018:2524-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1039375,1076372,1079838,1093731,1097248,1098050,1101667
CVE References: CVE-2017-5715,CVE-2018-0739,CVE-2018-2676,CVE-2018-2685,CVE-2018-2686,CVE-2018-2687,CVE-2018-2688,CVE-2018-2689,CVE-2018-2690,CVE-2018-2693,CVE-2018-2694,CVE-2018-2698,CVE-2018-2830,CVE-2018-2831,CVE-2018-2835,CVE-2018-2836,CVE-2018-2837,CVE-2018-2842,CVE-2018-2843,CVE-2018-2844,CVE-2018-2845,CVE-2018-2860,CVE-2018-3005,CVE-2018-3055,CVE-2018-3085,CVE-2018-3086,CVE-2018-3087,CVE-2018-3088,CVE-2018-3089,CVE-2018-3090,CVE-2018-3091
Sources used:
openSUSE Leap 42.3 (src):    kbuild-0.1.9998svn3110-4.3.1, virtualbox-5.2.18-56.1